<?php

namespace patest\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for KeyValueOfintSeatStatusInformationvEzo7Bse StructType
 * @subpackage Structs
 */
class KeyValueOfintSeatStatusInformationvEzo7Bse extends AbstractStructBase
{
    /**
     * The Key
     * @var int
     */
    public $Key;
    /**
     * The Value
     * Meta information extracted from the WSDL
     * - nillable: true
     * @var \patest\StructType\SeatStatusInformation
     */
    public $Value;
    /**
     * Constructor method for KeyValueOfintSeatStatusInformationvEzo7Bse
     * @uses KeyValueOfintSeatStatusInformationvEzo7Bse::setKey()
     * @uses KeyValueOfintSeatStatusInformationvEzo7Bse::setValue()
     * @param int $key
     * @param \patest\StructType\SeatStatusInformation $value
     */
    public function __construct($key = null, \patest\StructType\SeatStatusInformation $value = null)
    {
        $this
            ->setKey($key)
            ->setValue($value);
    }
    /**
     * Get Key value
     * @return int|null
     */
    public function getKey()
    {
        return $this->Key;
    }
    /**
     * Set Key value
     * @param int $key
     * @return \patest\StructType\KeyValueOfintSeatStatusInformationvEzo7Bse
     */
    public function setKey($key = null)
    {
        // validation for constraint: int
        if (!is_null($key) && !(is_int($key) || ctype_digit($key))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($key, true), gettype($key)), __LINE__);
        }
        $this->Key = $key;
        return $this;
    }
    /**
     * Get Value value
     * @return \patest\StructType\SeatStatusInformation|null
     */
    public function getValue()
    {
        return $this->Value;
    }
    /**
     * Set Value value
     * @param \patest\StructType\SeatStatusInformation $value
     * @return \patest\StructType\KeyValueOfintSeatStatusInformationvEzo7Bse
     */
    public function setValue(\patest\StructType\SeatStatusInformation $value = null)
    {
        $this->Value = $value;
        return $this;
    }
}
